/*
 * DANG_BEGIN_MODULE
 *
 * This file holds the priv_on/priv_off code
 *
 * DANG_END_MODULE
 *
 * DANG_BEGIN_CHANGELOG
 *
 * $Date: $
 * $Source: $
 * $Revision: $
 * $State: $
 *
 * $Log: $
 *
 * DANG_END_CHANGELOG
 */

#include <unistd.h>

#include "dosemu.h"

int exchange_uids(void)
{
  if (setreuid(geteuid(), getuid()) ||
      setregid(getegid(), getgid())) {
    error("MFS: Cannot exchange real/effective uid or gid!\n");
    return (0);
  }
  return (1);
}
