/*
 * DANG_BEGIN_MODULE
 *
 * Description: Hard disk chip emulation -- doesn't exist yet
 * 
 * Maintainers: 
 *
 * DANG_END_MODULE
 *
 * $Date: $
 * $Source: $
 * $Revision: $
 * $State: $
 *
 * $Log: $
 */

#include "dosemu.h"
#include "emu_iodev.h"
#include "emu_int.h"
#include "emu_port.h"

static Bit8u hdisk_io_read(Bit32u port)
{
  return 0;
}

static void hdisk_io_write(Bit32u port, Bit8u value)
{
}

void hdisk_init(void)
{
  emu_iodev_t  io_device;

  /* HARD DRIVE 0 */
  io_device.read_portb   = hdisk_io_read;
  io_device.write_portb  = hdisk_io_write;
  io_device.read_portw   = NULL;
  io_device.write_portw  = NULL;
  io_device.handler_name = "Hard Drive 0";
  io_device.start_addr   = 0x01F0;
  io_device.end_addr     = 0x01F7;
  io_device.irq          = 14;
  port_register_handler(io_device);
}

void hdisk_reset(void)
{
}

