/*
 * DANG_BEGIN_MODULE
 *
 * Description: POS chip emulation -- doesn't exist yet
 * 
 * Maintainers: 
 *
 * DANG_END_MODULE
 *
 * $Date: $
 * $Source: $
 * $Revision: $
 * $State: $
 *
 * $Log: $
 */

#include "dosemu.h"
#include "emu_iodev.h"
#include "emu_int.h"
#include "emu_port.h"

static Bit8u pos_io_read(Bit32u port)
{
  return 0;
}

static void pos_io_write(Bit32u port, Bit8u value)
{
}

void pos_init(void)
{
  emu_iodev_t  io_device;

  /* POS controller (whatever that is) */
  io_device.read_portb   = pos_io_read;
  io_device.write_portb  = pos_io_write;
  io_device.read_portw   = NULL;
  io_device.write_portw  = NULL;
  io_device.handler_name = "POS controller";
  io_device.start_addr   = 0x0090;
  io_device.end_addr     = 0x0097;
  io_device.irq          = EMU_NO_IRQ;
  port_register_handler(io_device);

  io_device.start_addr   = 0x0100;
  io_device.end_addr     = 0x010F;
  port_register_handler(io_device);
}

void pos_reset(void)
{
}
