/*
 * DANG_BEGIN_MODULE
 *
 * Holds the *_printf() routines for DOSEMU
 *
 * DANG_END_MODULE
 *
 * DANG_BEGIN_CHANGELOG
 *
 * $Date: $
 * $Source: $
 * $Revision: $
 * $State: $
 *
 * $Log: $
 *
 * DANG_END_CHANGELOG
 */

#include <unistd.h>
#include <stdio.h>
#include <stdarg.h>

#include "dosemu.h"
#include "emu_bios.h"

/* write string to dos? */
void p_dos_str(char *fmt,...)
{
  va_list args;
  char buf[1025], *s;

  va_start(args, fmt);
  vsprintf(buf, fmt, args);
  va_end(args);

  s = buf;
  while (*s) 
    char_out(*s++, READ_BYTE(BIOS_CURRENT_SCREEN_PAGE));
}
        
