/*
 * DANG_BEGIN_MODULE
 *
 *
 * DANG_END_MODULE
 *
 * DANG_BEGIN_CHANGELOG
 *
 * $Date: $
 * $Source: $
 * $Revision: $
 * $State: $
 *
 * $Log: $
 *
 * DANG_END_CHANGELOG
 */

#include <unistd.h>

#include "dosemu.h"
#include "emu_env.h"

extern struct video_system Video_graphics;
extern struct video_system Video_console;
extern struct video_system Video_hgc;


Boolean env_i386_detect(void)
{
  if (config.vga)
    return TRUE;

  if (config.console_video)
    return TRUE;

  if (config.usesX)
    return TRUE;

  return FALSE;
}

void env_i386_phase0_init(void)
{
  if (config.vga) {
     v_printf("VID: Video set to Video_graphics\n");
     Video=&Video_graphics;
  }
  else if (config.console_video) {
     v_printf("VID: Video set to Video_console\n");
     Video=&Video_console;
  }
  else if (config.usesX) {
     v_printf("VID: Video set to Video_hgc\n");
     Video=&Video_hgc;
  }

#if USE_DUALMON
  {
    extern void init_dualmon(void);
    init_dualmon();
  }
#endif

  Video->init();
  clear_screen(video_page, 7);
}

void env_i386_phase1_init(void)
{
}

void env_i386_phase2_init(void)
{
}

void env_i386_phase1_reset(void)
{
}

void env_i386_phase2_reset(void)
{
}

void env_i386_term(void)
{
}
